Subject: Ticket Assigned - An order in which there is a shortage of a product, which is Douma's Wireless InPods Pro Earphones Color: golden I paid the full amount, but the order is incomplete number of order 9512492408
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Thu, 02 Dec 2021 16:55:02 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  An order in which there is a shortage of a product, which is Douma's Wireless InPods Pro Earphones Color: golden I paid the full amount, but the order is incomplete number of order 9512492408 Contacted

An order in which there is a shortage of a product, which is Douma's
Wireless InPods Pro Earphones
Color: golden
I paid the full amount, but the order is incomplete

number of order 9512492408

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3425285